.contestant__container {
    padding: 60px 0;
}
.contestant__tabs {
    padding: 0;
    list-style: none;
    margin: 0 0 4px;
    display: flex;
    background-color: #f9fafb;
    padding: 6px;    width: fit-content;
    border: 1px solid #eaecf0;
    border-radius: 10px;
}
.contestant__tabs__wrapper {
    overflow-y: hidden;
    overflow-x: auto;
    margin-bottom: 30px;
}
.contestant__tabs__wrapper::-webkit-scrollbar {
    width: 5px;
    height: 5px;
    border-radius: 5px;
}
.contestant__tabs__wrapper::-webkit-scrollbar-track {
    background-color: #fff;
    border-radius: 5px;
}
.contestant__tabs__wrapper::-webkit-scrollbar-thumb {
    background-color: #d1d5db99;
    border-radius: 5px;
}
.contestant__tabs li + li {
    margin-left: 10px;
}
.contestant__tabs li {
    flex: 1;
}
.contestant__nav__link {
    background: transparent;
    width: 100%;
    padding: 8px 24px;
    display: block;
    text-align: center;
    font-size: 16px;
    line-height: 22px;
    text-transform: uppercase;
    font-weight: 600;
    color: #526277;
    border: none !important;
    white-space: nowrap;
}
.contestant__nav__link.active {
    background: #fff;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    border-radius: 5px;
    color: var(--color-default);
}
.contestant__list {
    padding: 0;
    margin: 0;
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    --gap: 20px;
    --item: 4;
    gap: var(--gap);    margin-bottom: 30px;
}
.top-tournament-head {
    position: sticky;
    top: 166px;
    z-index: 999;
    background-color: #fff;
    display: flex;
    justify-content: space-between;
    gap: 20px;
    flex-wrap: wrap;
    padding: 10px 0; padding-right: 110px;
}
.top-tournament-head > button {
    position: absolute;
    right: 0;
    bottom: 7px;
}
.contestant__thumb  > .contestant__like__count {
    position: absolute;
    top: 10px;
    right: 10px;
    background: #ffffffe3;
    font-weight: 700;
    font-size: 16px;
}

.contestant__thumb > .contestant__like__count i {
    margin-left: 5px;
}
.contestant__box {
    padding: 8px;
    background-color: #f9fafb;
    border: 1px solid #eaecf0;
    border-radius: 12px;
    width: 100%;
}
.contestant__thumb {
    width: 100%;
    display: block;
    padding-bottom: 100%;
    position: relative;
    border-radius: 5px;
    overflow: hidden;
}
.contestant__thumb img {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    object-fit: cover;
    display: block;
}
.contestant__upload__by {
    font-size: 14px;
    padding: 6px 0;
    line-height: 16px;
    overflow: hidden;
    white-space: nowrap;
    width: 100%;
    text-overflow: ellipsis;
}
.contestant__item {
    width: calc((100% - (var(--item) - 1) * var(--gap)) / var(--item));
}
.contestant__lower {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 6px 0;
}
.contestant__like__count {
    background-color: rgba(0, 0, 0, 0.05);
    border: 1px solid #eaecf0;
    padding: 5px 14px;
    border-radius: 24px;
    font-weight: 500;
    font-size: 14px;
    line-height: 22px;
    min-width: 64px;
    text-align: center;
    transition: all 0.3s ease-in;
}
.contestant__like__btn {
    color: #434343 !important;
    background-color: rgba(0, 0, 0, 0.05);
    border: 1px solid #e1e1e1;
    display: flex;
    align-items: center;
    padding: 5px 14px;
    border-radius: 24px;
    gap: 6px;
    font-weight: 500;
    font-size: 14px;
    line-height: 22px;
    transition: all 0.3s ease-in;
}
.contestant__like__btn img {
    width: 20px;
}
.contestant__upload__by strong {
    font-weight: 600;
}
.contestant__like__btn:hover {
    background-color: rgb(0 0 0 / 6%);
    border: 1px solid #d9d9d9;
}
.contestant__like__btn.voted {
    color: var(--color-default) !important;
    border: 1px solid #d9d9d9;
}
.avatar-group-item {
    width: 60px;
    height: 60px;
    background-color: #f3f3f3;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 21px;
    font-weight: 600;
    color: #666;
    line-height: 50px;
    position: relative;
    border: 3px solid #fff;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    opacity: 1 !important;
}
span.avatar-group-item.overlay {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    margin: 0 !important;
    color: #fff;
    display: flex;
    opacity: 1;
    border: none;
    background: #00000069;
}
.avatar-group-item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.avatar-group-item + .avatar-group-item {
    margin-left: -18px;
}

.tournament_popup_img_group {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
    gap: 14px;
}

.tournament_popup_img {
    width: 100%;
    position: relative;
    border-radius: 8px;
    overflow: hidden;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.tournament_popup_img img {
    width: 100%;
    aspect-ratio: 1.4;
    object-fit: cover;
    border-radius: 8px;
}
.contestant__box .tournament_custom_checkBox {
    top: 20px;
    left: 20px;
}

.contestant__box .tournament_custom_checkBox input {
    width: 18px;
    height: 18px;
}
.tournament_custom_checkBox {
    position: absolute;
    top: 10px;
    left: 10px;
    z-index: 91;
}

.date-top-item .date-top-box {
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 24px;
    justify-content: center;
}

.date-top-head {
    font-size: 30px;
    font-weight: 600;
    padding-right: 20px;
}

.date-top-item .date-top-box #timer {
    display: flex;
    text-align: center;
    font-size: 14px;
    font-weight: 500;
}

.date-top-item .date-top-box #timer > div > span {
    display: block;
    font-size: 24px;
    font-weight: 600;
    line-height: 24px;
}

.date-top-item .date-top-box #timer > div {
    padding: 0 12px;
    position: relative;
    min-width: 52px;
}

.date-top-item .date-top-box #timer > div + div::before {
    content: "";
    position: absolute;
    width: 1px;
    height: 100%;
    background-color: #cccccc70;
    left: 0;
    top: 0;
}
.equipment-section .tournament-images-input-group .input-group-text {
    height: 38px;
}



.winner-top-card {
    background-color: #f9f9f9;
    padding: 20px 40px;
    display: inline-block;
    border-radius: 16px;
    border: 1px solid #eaecf0;
    width: 100%;
    max-width: 500px;
}

.winner-top-card-top {
    margin-bottom: 24px;
}

.winner-top-card-wrapper {
    flex-wrap: wrap;
    flex-direction: row-reverse;
    align-items: center;
}

.winner-top-card-detals {
    width: calc(100% - 175px);
}

.winner-top-card-img {
    width: 175px;
    padding-right: 24px;
}

.wtcp-img {
    width: 150px;
    height: 150px;
    position: relative;
    border-radius: 50%;
}

.wtcp-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 50%;
}

.winner-top-card-img-icon {
    position: absolute;
    top: 0;
    right: 0;
    bottom: -20px;
    width: 34px;
    height: 34px;
    background-color: #00a65a;
    color: #fff;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 0 0 5px #00a65a80;
}

.winner-top-card-img-icon svg {
    width: 20px;
}

.winner-top-cart-btn {
    padding: 10px 20px;
    font-size: 16px;
    font-weight: 600;
    color: #333;
    display: block;
    margin-bottom: 12px;
    border-radius: 4px;
    pointer-events: none;
}

.winner-top-cart-btn i {
    margin-left: 10px;
}

.winner-top-card-detals .text-dark h5 {
    font-size: 20px;
}

.winner-top-card-detals a h5 {
    text-decoration: underline;
}

.winner-top-card-detals a:hover h5 {
    color: red;
}

.voting-top-head  h5 strong {
    color: #333;
    margin: 0 5px;
}

.voting-top-head h5 {
    color: #000;
}

.voting-top-head form {
    text-align: end;
}

.voting-top-head form label {
    font-size: 16px;
    margin-right: 6px;
}

.voting-top-head form select {
    min-width: 120px;
    border: 1px solid #ddd;
    background: transparent;
    padding: 5px 12px 7px;
    border-radius: 4px;
}
.tournament_all_imgs h2 {
    font-size: 20px;
    margin-bottom: 0;
}

.tournament_all_imgs h3 {
    font-size: 18px;
    color: #333;
    margin-bottom: 20px;
}
.box-footer .underline {text-decoration: underline;}
.box-footer .underline:hover {text-decoration: none;}
.tournament_popup_img_block h3 {
    font-size: 18px;
    margin-bottom: 10px;
}

.tournament_popup_img_block + .tournament_popup_img_block {
    margin-top: 30px;
}

#tournamentImageModal .modal-body {
    max-height: 71dvh;
    overflow-x: hidden;
    overflow-y: auto;
}
@media (max-width: 991.98px) {
    .contestant__list {
        --item: 3;
    }
    .contestant__tabs__wrapper {
        margin-bottom: 20px;
    }
    .contestant__nav__link {
        font-size: 14px;
        padding: 6px 20px;
    }
    .contestant__tabs {
        padding: 4px;
        margin-bottom: 2px;
    }
}
@media (max-width: 767.98px) {
    .contestant__list {
        --item: 2;
    }
    .tournament_popup_img_group {
        grid-template-columns: 1fr 1fr;
    }
    .date-top-item .date-top-box {
        flex-flow: column;
        align-items: center;
    }
    .date-top-head {
        margin-bottom: 14px;
        padding: 0;
    }
}
@media (max-width: 575.98px) {
    .contestant__list {
        --item: 1;
    }
}




.voting-container { padding: 60px 0; font-family: "Roboto", sans-serif; }
.voting-wrapper { max-width: 1800px; margin: 0 auto; padding: 0 16px; width: 100%; overflow-y: hidden; overflow-x: auto; }
.voting-wrapper .voting-list { height: 100%; display: flex; flex-direction: column; justify-content: space-around; -webkit-box-align: center; align-items: start; -webkit-box-orient: vertical; -webkit-box-direction: normal; gap: 16px; min-width: 1190px; width: 100%; }
.voting-wrapper .voting-list .voting-item { position: relative; display: flex; flex-direction: column; justify-content: space-around; -webkit-box-align: center; align-items: center; -webkit-box-orient: vertical; -webkit-box-direction: normal; flex-grow: 1; gap: 8px; }
.voting-wrapper .voting-thumb { width: 62%; border-radius: 4px 0 0 4px; overflow: hidden; }
.voting-wrapper .voting-thumb img { width: 100%; aspect-ratio: 1.5; object-fit: cover; display: block; }
.voting-wrapper .voting-card { display: flex; min-height: 94px; position: relative; width: 240px; background-color: #F9FAFB; border: 1px solid #EAECF0; border-radius: 4px; }
.voting-wrapper .voting-content { width: 38%; display: flex; flex-direction: column-reverse; justify-content: center; padding: 10px; font-weight: 600; gap: 8px; }
.voting-wrapper .voting-btn { cursor: pointer; width: 22px; margin: 0 auto; background: transparent; border: none !important; opacity: .75; }
.voting-wrapper .voting-btn img { width: 100%; }
.voting-wrapper .voting-count { background: #f2f2f2; border: 1px solid #e7e7e7; text-align: center; padding: 3px; border-radius: 2px; color: #333; font-weight: 600; font-size: 14px; }
.voting-wrapper .final-round-winner { width: 100%; display: flex; align-items: center; gap: 16px; }
.voting-wrapper .voting-won { width: 58px; height: 58px; background: #fff; border-radius: 50%; display: flex; align-items: center; justify-content: center; border: 5px solid #3f3f3f; box-shadow: 0 0 0 3px #555555; }
.voting-wrapper .voting-won svg { width: 28px; }
.voting-wrapper .voting-card::before { content: ''; position: absolute; width: 25px; height: 2px; background: #ddd; left: 100%; top: 50%; transform: translateY(-50%); }
.voting-wrapper .voting-list .voting-item::before { content: ''; position: absolute; width: 2px; height: calc(100% - 100px); background: #ddd; right: -25px; top: 50%; transform: translateY(-50%); }
.voting-wrapper .voting-list .voting-item .voting-item .voting-card::after { content: ''; position: absolute; width: 27px; height: 2px; background: #ddd; right: 100%; top: 50%; transform: translateY(-50%); }
.voting-wrapper .voting-list .voting-item .voting-item { position: absolute; left: calc(100% + 50px); }
.final-round-winner .voting-card::before { content: ''; width: 14px; height: 14px; position: absolute; background-image: url(../images/arrow-farword.png); top: 50%; transform: translateY(-50%); left: -32px; background-size: 14px; background-color: transparent; opacity: .25; z-index: 9; }
.final-round-winner-box::before { display: none; }
.voring-top-ticket-wrapper { margin-bottom: 30px; min-width: 1190px; width: 100%; display: flex; }
.voring-top-ticket-wrapper .voring-top-ticket { padding: 7px 24px; text-decoration: none; font-weight: 500; width: 240px; text-align: center; background-color: #44b678; border: 1px solid #EAECF0; color: #fff; border-radius: 4px; }
.voring-top-ticket-wrapper .voring-top-ticket + .voring-top-ticket { margin-left: 48px; }
.contestant__content  .date-top-head {
    font-size: 24px;
}
.p-voting-user-outer .p-voting-user + .p-voting-user {
    position: sticky;
    top: 180px;
}


.contestant__content .date-top-item .date-top-box #timer > div > span {
    font-size: 20px;
}


@media (max-width:767.98px) {

    .voting-container{padding-top: 35px;}
	.voting-wrapper .voting-content { padding: 0 8px; }
	.voting-wrapper .voting-btn { width: 22px; }
	.voting-wrapper .voting-count { font-size: 12px; }
	.voting-wrapper .voting-card { min-height: 84px; }
    .winner-top-card-detals {
        width: 100%;
        text-align: center;
    }

    .winner-top-card-img {
        width: 100%;
        padding-right: 0;
        margin-bottom: 24px;
    }

    .winner-top-card-wrapper {
        flex-direction: column-reverse;
    }

    .wtcp-img {
        margin:  0 auto;
    }

    .winner-top-cart-btn {
        margin: 0 auto 14px;
    }

    .winner-top-card {
        padding: 20px 30px;
        text-align: center;
    }
}
.winner_img {
    position: absolute;
    background-color: #ff4f44;
    top: 35px;
    left: -8px;
    transform: rotate(314deg);
    padding: 4px 10px;
    color: #fff;
    /* max-width: 130px; */
    border-radius: 2px;
    z-index: 9;
  }
  .p-voting-round.p-box-center#final_round {
    margin: 0 auto;
}
  .p-voting-container { padding: 0 16px 20px; max-width: 1320px; margin: 0 auto; }
  .p-voting-wrapper {
    display: flex;
    align-items: start;
    /* overflow-x: auto;
    overflow-y: hidden; */
    gap: 100px;
    }
    span.p-voting-round-ticket {
        background-color: #f9fafb;
        padding: 6px 14px;
        border: 1px solid #eaecf0;
        border-radius: 6px;
        line-height: 20px;
        font-weight: 600;
        color: #333;
        display: inline-block;
}
.p-voting-wrapper .round_final {
    flex-flow: column-reverse;
    justify-content: start;
    text-align: center; position: sticky;
    top: 180px;
}

.total-voting-counter {
    border: 2px solid #0062ff;
    padding: 18px;
    width: 300px;
    border-radius: 12px;
    background-color: #f5f5f5;
}

.total-voting-counter h6 {
    font-size: 20px;
    color: #0062ff;
}

.total-voting-counter {
    margin-bottom: 20px;
}
.total-voting-counter .awaiting-final-result{
    margin-top: 20px;}

.awaiting-final-result {
    aspect-ratio: 1.32;
    border: 2px solid #ccc;
    border-radius: 5%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 18px;
    background-color: #cccccc69;
    color: #0062ff; text-align: center;
}
.p-voting-contestant .awaiting-final-result {
    border: none !important;
    border-radius: 4px;
}
  .p-voting-user-outer {position: relative;display: flex;align-items: start;gap: 100px;}
  /* .p-voting-round#final_round { --width: 220px; padding-right: 0; margin-left: 50px; margin-right: 10px; margin-top: 10px; } */
  .p-voting-round {display: flex;flex-flow: column;row-gap: 24px;}
  .p-voting-user {
    padding: 16px;
    background: var(--bgcolor);
    border: 1px solid #bfbfbf;
    width: 300px;
    max-width: 300px;
    display: flex;
    flex-flow: column;
    gap: 12px;
    border-radius: 10px;
    flex: 1;
    }
  .p-voting-contestant { padding: 0px; border: 1px solid #bfbfbf;background-color: #fff; border-radius: 6px; overflow: hidden; }
  .p-voting-thumb {width: 100%;padding-bottom: 70%;position: relative;}
  .p-voting-thumb > a { width: 100%; height: 100%; position: absolute; top: 0; left: 0;  display:block; padding: 10px; padding-bottom: 0;}
  .p-voting-thumb img{ width: 100%; height: 100%; object-fit: cover;border-radius: 6px;}
  .p-voting-content {display: flex;align-items: center;padding: 10px;justify-content: space-between;gap: 5px;}
  .p-voting-btn { border-radius: 2px; justify-content: center; border: 1px solid #bfbfbf; background: #e3e3e3; font-size: 14px; display: flex; align-items: center; gap: 5px; padding: 3px 10px; line-height: 14px; }
  .p-voting-btn img { width: 16px; }
  .p-voting-count { text-align: center; line-height: 14px; font-size: 14px; font-weight: 500; color: #333; }
  .p-voting-round#final_round .voting-won { width: 50px; height: 50px; background: #fff; border-radius: 50%; display: flex; align-items: center; justify-content: center; border: 5px solid #09b900; box-shadow: 0 0 0 5px #09b9008a; margin: 0 auto 20px; }
  .p-voting-round#final_round .voting-won svg { width: 23px; color: #09b900; }
  .p-voting-round#final_round .p-voting-user { border-color: #09b900; box-shadow: 0 0 0 5px #09b9002e; }
  .p-voting-round#final_round span{font-weight: 600; color: #09b900;}
  .p-voting-user-2 {
    position: absolute;
    width: 220px;
    top: 50%;
    transform: translateY(-50%);
    right: 0;
}
.p-voting-user .line__bar {
    position: fixed;
    height: 2px;  z-index: -1;
    background-color: var(--bgcolor);
    transform-origin: 0 0;
    pointer-events: none; 
}

.p-voting-content.final__tour_winner {
    font-family: "Open Sans", sans-serif;
    font-weight: 600;
    color: #333;
    padding-top: 14px;
    padding-bottom: 14px;
    flex-flow: column;
    font-size: 14px;
}
#final_round .p-voting-thumb img {
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
}
canvas#canvas {
    overflow-y: hidden;
    overflow-x: hidden;
    width: 100%;
    position: fixed;
    width: 100vw;
    left: 0; z-index: -1;
    top: 0;
  }
div#final_round {
    position: sticky; flex-flow: column;
    top: 180px;    gap: 10px !important;
}

  @media (max-width: 767.98px){
    .p-voting-user-outer {
        gap: 30px;
    }

    .p-voting-wrapper {
        gap: 30px;
    }
  }
  
  @media (max-width:1199.98px){
      .p-voting-round#final_round .p-voting-user .p-voting-contestant {width: 280px;}
button#viewWinner {
    position: absolute;
    bottom: 40px;
    right: 10px;        padding: 3px 10px;
        border-radius: 4px;
    background: #333;
    color: #fff;z-index: 99999;
}

.tab-content.contestant__content {
    position: relative;
}
    .p-voting-wrapper .round_final {
    position: static; 
}    .p-voting-wrapper {
        gap: 30px;
        align-items: center;width: max-content;
    }
    .p-voting-user .line__bar{display:none}
.p-voting-wrapper-outer { overflow-x: auto;         width: calc(100% + 54px);
        margin-left: -27px;
        padding: 0 20px;
        padding-bottom: 20px;}
.p-voting-wrapper-outer::-webkit-scrollbar { height: 6px; }
.p-voting-wrapper-outer::-webkit-scrollbar-track { background: #f1f1f1; }
.p-voting-wrapper-outer::-webkit-scrollbar-thumb { background: #888; }
.p-voting-user { flex-flow: row; width: auto; max-width: max-content; }
.p-voting-user p-voting-contestant { width: 200px; min-width: 200px; }
.p-voting-contestant { min-width: 200px; width: 200px; }
.p-voting-user-outer { flex-flow: column; gap: 30px; }
.p-voting-user-outer .p-voting-user + .p-voting-user { top: 0; left: 0px; }
.p-voting-round { flex-flow: row; gap: 24px; }
.contestant__like__btn {
    font-size: 12px;
    line-height: 14px;
}
.p-voting-user-outer .p-voting-user + .p-voting-user::before {
    content: '';
    position: absolute;
    width: 2px;
    height: 29px;
    background: var(--bgcolor);
    right: calc(100% + 9px);
    left: 50%;
    transform: translateX(-50%);
    bottom: calc(100% +  4px);
}

.p-voting-user-outer .p-voting-user + .p-voting-user::after {
    content: '';
    position: absolute;
    width: 18px;
    height: 18px;
    border: 2px solid var(--bgcolor);
    right: calc(100% + 3px);
    border-top: 0;
    border-left: 0;
    left: 50%;
    transform: rotate(45deg) translateX(-50%);
    margin-left: -3px;
    bottom: calc(100% - 1px);
}
}